Next Commerce
API ReferenceCustomers

Users Notes List

Retrieve a list of notes in an existing customer.

GET
/users/{id}/notes/

Authorization

oauth2 users:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: users:read

Path Parameters

id*integer

A unique integer value identifying this User.

Query Parameters

cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Response Body

application/json

curl -X GET "https://example.com/users/0/notes/" \  -H "X-29next-API-Version: 2024-04-01"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "app": {        "client_id": "string",        "name": "string"      },      "author": {        "email": "user@example.com",        "first_name": "string",        "id": 0,        "last_name": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "id": 0,      "message": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}